
Foreman - Bug #1638

When editing a user and adding/editing the email address, trailing whitespace causes an input

validation error.

05/19/2012 12:53 PM - Brian Gupta

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version: 1.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We can probably be a bit smarter about this and ignore leading and trailing whitespace.

Associated revisions

Revision fe728c74 - 06/28/2012 04:31 AM - Ohad Levy

fixes #1638 - remove whitespaces for user email instead of validation error

History

#1 - 05/19/2012 01:55 PM - Ohad Levy

sure, this sounds like a simple before_save callback, with sometihng like

before_save :normalize_email

private

def normalize_email

  self.email.strip! # or whatever is needed to fix the string

end

#2 - 05/19/2012 01:56 PM - Ohad Levy

also worth mentioning that it would be great to have a simple unit test which compares the two scenarios (see test/unit/user.rb)

#3 - 06/07/2012 07:19 AM - Ohad Levy

- Difficulty set to trivial

#4 - 06/28/2012 04:30 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 1.0

#5 - 06/28/2012 07:41 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset fe728c743680f154173c781a47f0467eb35a7a22.
